Subject: bug#60340: 29.0.60; force-mode-line-update does not update tab line

From: Aaron Jensen <[email-masked]>
Date: Thu, 29 Dec 2022 17:46:07 -0500

On Wed, Dec 28, 2022 at 12:50 PM Juri Linkov <[email-masked]> wrote:
>
> >> (defun tab-line-cache-key-default (_tabs)
> >>   (list (random 1000)))
> >
> > Thank you for the pointer! I can do this and it works great:
> >
> > (set-window-parameter nil 'tab-line-cache nil)
> > (force-mode-line-update)
>
> Maybe this call is straightforward enough not to warrant a new special
> function to clear the cache.  Anyway, your complex use case prompted
> the need to allow more flexibility in tab-line-cache-key-function
> that now I improved as well.

A function may be useful just for discoverability purposes. At the
very least, it may make sense to add additional documentation to
`tab-line-tab-name-function` that its result is effectively cached.

Thanks,

Aaron